## ros-one-openni2-camera 1.6.0-3jammy.20251023.0325

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(openni2_camera)

find_package(catkin REQUIRED camera_info_manager dynamic_reconfigure image_transport  nodelet sensor_msgs roscpp message_generation)

find_package(Boost REQUIRED COMPONENTS system thread)

find_package(PkgConfig)

pkg_check_modules(PC_OPENNI2 libopenni2)
if (NOT PC_OPENNI2_FOUND)
  pkg_check_modules(PC_OPENNI2 REQUIRED openni2)
endif()

generate_dynamic_reconfigure_options(cfg/OpenNI2.cfg)
add_service_files(FILES
  GetSerial.srv)
generate_messages()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES openni2_wrapper
  CATKIN_DEPENDS camera_info_manager dynamic_reconfigure image_transport nodelet sensor_msgs roscpp message_runtime
  DEPENDS libopenni2
)

include_directories(include 
                    ${catkin_INCLUDE_DIRS} 
                    ${Boost_INCLUDE_DIRS}
                    ${PC_OPENNI2_INCLUDE_DIRS}
                    )

link_directories(${PC_OPENNI2_LIBRARY_DIRS})

add_library(openni2_wrapper
   src/openni2_convert.cpp
   src/openni2_device.cpp 
   src/openni2_device_info.cpp 
   src/openni2_timer_filter.cpp 
   src/openni2_frame_listener.cpp
   src/openni2_device_manager.cpp
   src/openni2_exception.cpp
   src/openni2_video_mode.cpp
)
target_link_libraries(openni2_wrapper ${catkin_LIBRARIES} ${PC_OPENNI2_LIBRARIES} ${Boost_LIBRARIES} )

add_executable(test_wrapper test/test_wrapper.cpp )
target_link_libraries(test_wrapper openni2_wrapper ${Boost_LIBRARIES})

add_library(openni2_driver_lib
   src/openni2_driver.cpp
)
target_link_libraries(openni2_driver_lib openni2_wrapper ${catkin_LIBRARIES} ${Boost_LIBRARIES} )
add_dependencies(openni2_driver_lib ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_generate_messages_cpp)

add_library(openni2_camera_nodelet
   ros/openni2_camera_nodelet.cpp
)
target_link_libraries(openni2_camera_nodelet openni2_driver_lib ${catkin_LIBRARIES} ${Boost_LIBRARIES} )
add_dependencies(openni2_camera_nodelet ${PROJECT_NAME}_gencfg)

add_executable(openni2_camera_node
   ros/openni2_camera_node.cpp
)
target_link_libraries(openni2_camera_node openni2_driver_lib ${catkin_LIBRARIES} ${Boost_LIBRARIES} )
add_dependencies(openni2_camera_node ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_generate_messages_cpp)

add_executable(list_devices
   src/list_devices.cpp
)
target_link_libraries(list_devices openni2_wrapper)

if (UNIX AND NOT APPLE)
  add_executable(usb_reset src/usb_reset.c)
  set(ADDITIONAL_EXECUTABLES "usb_reset")
endif()

install(TARGETS openni2_wrapper openni2_camera_nodelet openni2_camera_node list_devices openni2_driver_lib ${ADDITIONAL_EXECUTABLES}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# add xml file
install(FILES openni2_nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-openni2-camera (1.6.0-3jammy.20251023.0325) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 Oct 2025 03:25:46 +0000

ros-one-openni2-camera (1.6.0-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 12 Apr 2022 00:00:00 -0000

ros-one-openni2-camera (1.5.1-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 01 Feb 2021 00:00:00 -0000

ros-one-openni2-camera (1.5.0-0jammy) jammy; urgency=high

  * [capability] Use serialnumber in camera names #101 <https://github.com/ros-drivers/openni2_camera/issues/101>
  * Release for Noetic #98 <https://github.com/ros-drivers/openni2_camera/issues/98>

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-one-openni2-camera (1.4.2-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-one-openni2-camera (0.4.2-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 01 Dec 2018 00:00:00 -0000

ros-one-openni2-camera (0.4.1-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Oct 2018 00:00:00 -0000

ros-one-openni2-camera (0.4.0-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 17 Jul 2018 00:00:00 -0000

ros-one-openni2-camera (0.3.0-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 03 Nov 2017 00:00:00 -0000

ros-one-openni2-camera (0.2.9-0jammy) jammy; urgency=high

  * [fix] Device re-connection #53 <https://github.com/ros-drivers/openni2_camera/issues/53>
  * [fix] Publish projector/camera_info (fixes disparity img) #48 <https://github.com/ros-drivers/openni2_camera/issues/48>
  * Contributors: Isaac I.Y. Saito, Martin Guenther, Shaun Edwards

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 25 Oct 2017 00:00:00 -0000

ros-one-openni2-camera (0.2.8-0jammy) jammy; urgency=high

  * [capability] Add exposure time control #46 <https://github.com/ros-drivers/openni2_camera/issues/46>
  * [fix] device URI formatting #47 <https://github.com/ros-drivers/openni2_camera/issues/47>
  * Contributors: Martin Guenther, Michael Ferguson, Sergey Alexandrov

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 17 Aug 2017 00:00:00 -0000

ros-one-openni2-camera (0.2.7-0jammy) jammy; urgency=high

  * Merge pull request #44 <https://github.com/ros-drivers/openni2_camera/issues/44> from jacquelinekay/fix_kinetic_build
    fix compile on kinetic
  * Contributors: Jackie Kay, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jun 2016 00:00:00 -0000

ros-one-openni2-camera (0.2.6-0jammy) jammy; urgency=high

  * [fix] Compile for OSX #30 <https://github.com/ros-drivers/openni2_camera/issues/30>
  * [fix] Crash on OSX and warning fixes.
  * Contributors: Hans Gaiser, Isaac I.Y. Saito, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 05 May 2016 00:00:00 -0000

ros-one-openni2-camera (0.2.5-0jammy) jammy; urgency=high

  * Merge pull request #34 <https://github.com/ros-drivers/openni2_camera/issues/34> from Intermodalics/feature/get_serial_service
    added get_serial service
  * Contributors: Michael Ferguson, Ruben Smits

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 15 Oct 2015 00:00:00 -0000

ros-one-openni2-camera (0.2.4-0jammy) jammy; urgency=high

  * proper usage of device_id parameter in resolveDeviceURI, resolve unique parts of device URIs, too
  * print vendor id and product id as hex value (like in lsusb)
  * Contributors: Michael Ferguson, Stephan Wirth

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 06 Apr 2015 00:00:00 -0000

ros-one-openni2-camera (0.2.3-0jammy) jammy; urgency=high

  * Explicitly ask for serial number when trying to resolve device URI instead of doing it once on device connected, fixes #24 <https://github.com/ros-drivers/openni2_camera/issues/24>
  * Contributors: Michael Ferguson, Stephan Wirth

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 16 Jan 2015 00:00:00 -0000

ros-one-openni2-camera (0.2.2-0jammy) jammy; urgency=high

  * Add usb_reset
  * Contributors: Kei Okada, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 06 Oct 2014 00:00:00 -0000

ros-one-openni2-camera (0.2.1-0jammy) jammy; urgency=high

  * Fixed a bug that prevents depth only sensors from properly calculating the point cloud due to incorrect focal length
  * Updated cmakelists for OSX
  * Contributors: Colin Lea, Michael Ferguson, Tarek Taha

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 22 Aug 2014 00:00:00 -0000

ros-one-openni2-camera (0.2.0-0jammy) jammy; urgency=high

  * device_id: find camera by serial number
  * Make freenect_stack link a real link for wiki.
  * Contributors: Dariush Forouher, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 22 May 2014 00:00:00 -0000

ros-one-openni2-camera (0.1.2-0jammy) jammy; urgency=high

  * Fix CMake error.
  * Contributors: Benjamin Chretien, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 03 Feb 2014 00:00:00 -0000

ros-one-openni2-camera (0.1.1-0jammy) jammy; urgency=high

  * Fixed default value of ir_mode. Thanks @nxdefiant
    https://github.com/ros-drivers/openni2_camera/issues/16

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 13 Nov 2013 00:00:00 -0000

ros-one-openni2-camera (0.1.0-0jammy) jammy; urgency=high

  * initial release

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Aug 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-openni2-camera
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libopenni2-dev, ros-one-camera-info-manager, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-message-generation, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-openni2-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopenni2-dev, ros-one-camera-info-manager, ros-one-dynamic-reconfigure, ros-one-image-transport, ros-one-message-runtime, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Description: Drivers for the Asus Xtion and Primesense Devices.
 For using a kinect with ROS, try the freenect stack

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-openni2-camera//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-openni2-camera 1.6.0-3jammy.20260221.0005

=== debian/changelog ===
ros-one-openni2-camera (1.6.0-3jammy.20260221.0005) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 21 Feb 2026 00:05:44 +0000

## ros-one-openni2-camera 1.6.0-3noble.20251023.0323

=== debian/changelog ===
ros-one-openni2-camera (1.6.0-3noble.20251023.0323) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 Oct 2025 03:23:06 +0000

ros-one-openni2-camera (1.6.0-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 12 Apr 2022 00:00:00 -0000

ros-one-openni2-camera (1.5.1-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 01 Feb 2021 00:00:00 -0000

ros-one-openni2-camera (1.5.0-0noble) noble; urgency=high

  * [capability] Use serialnumber in camera names #101 <https://github.com/ros-drivers/openni2_camera/issues/101>
  * Release for Noetic #98 <https://github.com/ros-drivers/openni2_camera/issues/98>

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-one-openni2-camera (1.4.2-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-one-openni2-camera (0.4.2-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 01 Dec 2018 00:00:00 -0000

ros-one-openni2-camera (0.4.1-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Oct 2018 00:00:00 -0000

ros-one-openni2-camera (0.4.0-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 17 Jul 2018 00:00:00 -0000

ros-one-openni2-camera (0.3.0-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 03 Nov 2017 00:00:00 -0000

ros-one-openni2-camera (0.2.9-0noble) noble; urgency=high

  * [fix] Device re-connection #53 <https://github.com/ros-drivers/openni2_camera/issues/53>
  * [fix] Publish projector/camera_info (fixes disparity img) #48 <https://github.com/ros-drivers/openni2_camera/issues/48>
  * Contributors: Isaac I.Y. Saito, Martin Guenther, Shaun Edwards

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 25 Oct 2017 00:00:00 -0000

ros-one-openni2-camera (0.2.8-0noble) noble; urgency=high

  * [capability] Add exposure time control #46 <https://github.com/ros-drivers/openni2_camera/issues/46>
  * [fix] device URI formatting #47 <https://github.com/ros-drivers/openni2_camera/issues/47>
  * Contributors: Martin Guenther, Michael Ferguson, Sergey Alexandrov

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 17 Aug 2017 00:00:00 -0000

ros-one-openni2-camera (0.2.7-0noble) noble; urgency=high

  * Merge pull request #44 <https://github.com/ros-drivers/openni2_camera/issues/44> from jacquelinekay/fix_kinetic_build
    fix compile on kinetic
  * Contributors: Jackie Kay, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jun 2016 00:00:00 -0000

ros-one-openni2-camera (0.2.6-0noble) noble; urgency=high

  * [fix] Compile for OSX #30 <https://github.com/ros-drivers/openni2_camera/issues/30>
  * [fix] Crash on OSX and warning fixes.
  * Contributors: Hans Gaiser, Isaac I.Y. Saito, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 05 May 2016 00:00:00 -0000

ros-one-openni2-camera (0.2.5-0noble) noble; urgency=high

  * Merge pull request #34 <https://github.com/ros-drivers/openni2_camera/issues/34> from Intermodalics/feature/get_serial_service
    added get_serial service
  * Contributors: Michael Ferguson, Ruben Smits

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 15 Oct 2015 00:00:00 -0000

ros-one-openni2-camera (0.2.4-0noble) noble; urgency=high

  * proper usage of device_id parameter in resolveDeviceURI, resolve unique parts of device URIs, too
  * print vendor id and product id as hex value (like in lsusb)
  * Contributors: Michael Ferguson, Stephan Wirth

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 06 Apr 2015 00:00:00 -0000

ros-one-openni2-camera (0.2.3-0noble) noble; urgency=high

  * Explicitly ask for serial number when trying to resolve device URI instead of doing it once on device connected, fixes #24 <https://github.com/ros-drivers/openni2_camera/issues/24>
  * Contributors: Michael Ferguson, Stephan Wirth

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 16 Jan 2015 00:00:00 -0000

ros-one-openni2-camera (0.2.2-0noble) noble; urgency=high

  * Add usb_reset
  * Contributors: Kei Okada, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 06 Oct 2014 00:00:00 -0000

ros-one-openni2-camera (0.2.1-0noble) noble; urgency=high

  * Fixed a bug that prevents depth only sensors from properly calculating the point cloud due to incorrect focal length
  * Updated cmakelists for OSX
  * Contributors: Colin Lea, Michael Ferguson, Tarek Taha

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 22 Aug 2014 00:00:00 -0000

ros-one-openni2-camera (0.2.0-0noble) noble; urgency=high

  * device_id: find camera by serial number
  * Make freenect_stack link a real link for wiki.
  * Contributors: Dariush Forouher, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 22 May 2014 00:00:00 -0000

ros-one-openni2-camera (0.1.2-0noble) noble; urgency=high

  * Fix CMake error.
  * Contributors: Benjamin Chretien, Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 03 Feb 2014 00:00:00 -0000

ros-one-openni2-camera (0.1.1-0noble) noble; urgency=high

  * Fixed default value of ir_mode. Thanks @nxdefiant
    https://github.com/ros-drivers/openni2_camera/issues/16

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 13 Nov 2013 00:00:00 -0000

ros-one-openni2-camera (0.1.0-0noble) noble; urgency=high

  * initial release

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Aug 2013 00:00:00 -0000

## ros-one-openni2-camera 1.6.0-3noble.20260221.0031

=== debian/changelog ===
ros-one-openni2-camera (1.6.0-3noble.20260221.0031) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 21 Feb 2026 00:31:53 +0000
